Subject: Re: [pim] PIM-SM Nit

From: "Vijaya Sheppillayar" <[email-masked]>
Date: Tue, 11 Jan 2005 13:11:49 -0500

HI Greg Schwendimann, 

 	While in NoInfo state for SGRPT state machine, if we receive prune(S,G RPT) prune, we move to Prune Pending State. We do not discard the prune. Jonanthan is correct in that draft mentions that , while in Pruned State, receiving a Prune would refresh the Expiry timer while in Prune-Pending State, we do not process that prune.   
  	I do not agree that the goal is to get the SGRPT state machine to the NOINFO state. That would mean that we want to receive on the RPT tree. But in practice, we always want to receive on the SPT after the switch to RPT to SPT is made. 
	While we do not know whether the holdtimes in the prune received while in the prune pending state is higher than the prune received while in pruned state, we cannot say for sure the refreshed Expiry timer  would cause us to move to NOInfo state much quickly than without processing the old one. 
  But for consistent sake, we should process the prunes while in Prune-Pending State just as we do in Pruned state. 

- Vijaya 

-----Original Message-----
From: Greg Schwendimann [mailto:[email-masked]]
Sent: Tuesday, January 04, 2005 11:18 AM
To: Nicholas, Jonathan
Cc: [email-masked]
Subject: RE: [pim] PIM-SM Nit

Jonathan,
	I believe the goal here is to get the router into the NoInfo state as
soon as possible.  This way the router no longer has to worry about the
group at all.  If you receive a prune in the NI state you do nothing. So
by also doing nothing in the Prune-Pending state you really don't change
the result. You do not run an expiry timer for NI. The NoInfo state is
the default state and never times out so the Holdtime value is unused
for prunes.  

-- 
************************************************
Greg Schwendimann	E-mail [email-masked]
IPv4 Consortium		UNH Interoperability Lab
121 Technology drive	Suite 2 Durham NH, 03824
Phone:+1-603-862-3941	http://www.iol.unh.edu
************************************************

On Tue, 2005-01-04 at 13:24, Nicholas, Jonathan wrote:
> Yes, but the router also needs to maintain state, and if a new Prune arrives with a larger Holdtime, the router should extend the Expiry Timer accordingly.  A minor point, to be sure, but it ought to be consistent.
> 
> Jonathan Nicholas
> Network Systems Engineer
> ITT Aerospace/Communications Division
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On
> > Behalf Of Joe
> > Scholefield
> > Sent: Tuesday, January 04, 2005 12:48 PM
> > To: [email-masked]
> > Subject: Re: [pim] PIM-SM Nit
> >
> >
> > Jonathan,
> >
> > When in the Prune Pending state no action should be taken
> > upon reception
> > of another Prune. Once the first Prune has been received it is
> > attempting to Prune the group. The router is only concerned about
> > whether or not the Prune will be overridden.
> >
> > -------
> > Joseph Scholefield
> > IPv4 Consortium
> > UNH InterOperability Laboratory
> > http://www.iol.unh.edu
> > +1-603-862-3941
> > -------
> >
> > On Tue, 2005-01-04 at 11:14 -0500, Nicholas, Jonathan wrote:
> > > Hello,
> > >
> > > I have been going over the PIM-SM spec in some detail, and
> > I noticed that in section 4.5.4 no action is taken in the
> > Prune-Pending state when a Prune(S,G,rpt) is recieved.
> > >
> > > I believe in this case the Expiry Timer should be restarted
> > in behaviour identical to that in the Prune state.
> > >
> > > Jonathan Nicholas
> > > Network Systems Engineer
> > > ITT Aerospace/Communications Division
> 
> ************************************
> This e-mail and any files transmitted with it are proprietary and intended solely for the use of the individual or entity to whom they are addressed. If you have received this e-mail in error please notify the sender. Please note that any views or opinions presented in this e-mail are solely those of the author and do not necessarily represent those of ITT Industries, Inc. The recipient should check this e-mail and any attachments for the presence of viruses. ITT Industries accepts no liability for any damage caused by any virus transmitted by this e-mail.
> ************************************
> 
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pim

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim